{"openapi":"3.0.0","info":{"description":"","version":"1.0.0","title":"327_bot","termsOfService":"http://swagger.io/terms/","contact":{"email":"apiteam@swagger.io"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/M1lia/327bot/1.0.0"},{"url":"https://petstore.swagger.io/v2"}],"tags":[{"name":"user","description":"Operations about user","externalDocs":{"description":"Operations with account","url":"http://swagger.io"}},{"name":"history","description":"return a history of the previous operations","externalDocs":{"description":"operations with history","url":"http://swagger.io"}},{"name":"video","description":"loads and deletes videos","externalDocs":{"description":"loads and deletes videos","url":"http://swagger.io"}}],"paths":{"/history":{"get":{"tags":["history"],"summary":"history of the previous operations","operationId":"exploreHistory","responses":{"405":{"description":"history is empty"},"200":{"description":"loaded successfully"}}},"delete":{"tags":["history"],"summary":"deletes all the history","operationId":"deleteHistory","responses":{"405":{"description":"history is empty"},"200":{"description":"history is deleted"}}}},"/video":{"post":{"tags":["video"],"summary":"Loads a video","operationId":"loadVideo","responses":{"405":{"description":"Invalid input"},"200":{"description":"Loaded successfully"}}},"delete":{"tags":["video"],"summary":"Deletes a video by id","operationId":"deleteVideo","responses":{"404":{"description":"id not found"},"200":{"description":"Video is deleted successfully"}}}},"/video/extraction":{"get":{"tags":["video"],"summary":"extracts all the detections from video","operationId":"extractInfo","responses":{"200":{"description":"data is extracted correctly"},"400":{"description":"something wrong with video"}}}},"/user":{"post":{"tags":["user"],"summary":"Create user","description":"This can only be done by the logged in user.","operationId":"createUser","responses":{"default":{"description":"successful operation"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}},"description":"Created user object","required":true}}},"/user/login":{"get":{"tags":["user"],"summary":"Logs user into the system","operationId":"loginUser","parameters":[{"name":"phone","in":"query","description":"The user phone for login","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","headers":{"X-Rate-Limit":{"description":"calls per hour allowed by the user","schema":{"type":"integer","format":"int32"}},"X-Expires-After":{"description":"date in UTC when token expires","schema":{"type":"string","format":"date-time"}}},"content":{"application/json":{"schema":{"type":"string"}},"application/xml":{"schema":{"type":"string"}}}},"400":{"description":"Invalid username/password supplied"}}}},"/user/logout":{"get":{"tags":["user"],"summary":"Logs out current logged in user session","operationId":"logoutUser","responses":{"default":{"description":"successful operation"}}}},"/user/{phone}":{"put":{"tags":["user"],"summary":"Updated user","description":"This can only be done by the logged in user.","operationId":"updateUser","parameters":[{"name":"phone","in":"path","description":"name that need to be updated","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Invalid user supplied"},"404":{"description":"User not found"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}},"description":"Updated user object","required":true}},"delete":{"tags":["user"],"summary":"Delete user","description":"This can only be done by the logged in user.","operationId":"deleteUser","parameters":[{"name":"phone","in":"path","description":"The name that needs to be deleted","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Invalid username supplied"},"404":{"description":"User not found"}}}}},"externalDocs":{"description":"Find out more about Swagger","url":"http://swagger.io"},"components":{"schemas":{"User":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"first_name":{"type":"string"},"last_name":{"type":"string"},"passport_details":{"type":"string"},"phone":{"type":"string"}},"xml":{"name":"User"}},"Tag":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}},"xml":{"name":"Tag"}},"ApiResponse":{"type":"object","properties":{"code":{"type":"integer","format":"int32"},"type":{"type":"string"},"message":{"type":"string"}}},"video":{"type":"object","properties":{"id":{"type":"integer","format":"int64"}},"description":"video"},"History":{"type":"object","properties":{"id":{"type":"integer","format":"int64"}},"description":"History of operations"}}}}